Skip to main content
GET
/
api
/
v2
/
flag-status
/
{projectKey}
/
{featureFlagKey}
Get flag status across environments
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/flag-status/{projectKey}/{featureFlagKey} \
  --header 'Authorization: <api-key>'
{
  "environments": {
    "production": {
      "lastRequested": "2020-02-05T18:17:01.514Z",
      "name": "inactive"
    }
  },
  "key": "flag-key-123abc",
  "_links": {
    "parent": {
      "href": "/api/v2/flag-status",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/flag-status/my-project/my-flag",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

Query Parameters

env
string<string>

Optional environment filter

Response

Flag status across environments response

environments
object
required

Flag status for environment.

Example:
{
"production": {
"lastRequested": "2020-02-05T18:17:01.514Z",
"name": "inactive"
}
}
key
string
required

feature flag key

Example:

"flag-key-123abc"

Example:
{
"parent": {
"href": "/api/v2/flag-status",
"type": "application/json"
},
"self": {
"href": "/api/v2/flag-status/my-project/my-flag",
"type": "application/json"
}
}